# Enum ValueConstraint.Type

java.lang.Object
java.lang.Enum<ValueConstraint.Type>
ml.options.ValueConstraint.Type

All Implemented Interfaces:
  `Serializable, Comparable<ValueConstraint.Type>, java.lang.constant.Constable`

Enclosing class:
  `ValueConstraint`

public static enum ValueConstraint.Type extends Enum<ValueConstraint.Type>
An enum with the supported subtypes for this constraint type

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INT_ARRAY`
A type defining a set of acceptable int values
`INT_RANGE`
A type defining a range of acceptable int values
`STRING_ARRAY`
A type defining a set of acceptable string values

## Method Summary

Modifier and Type
Method
Description
`static ValueConstraint.Type`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ValueConstraint.Type[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STRING_ARRAY

public static final ValueConstraint.Type STRING_ARRAY
A type defining a set of acceptable string values

### INT_ARRAY

public static final ValueConstraint.Type INT_ARRAY
A type defining a set of acceptable int values

### INT_RANGE

public static final ValueConstraint.Type INT_RANGE
A type defining a range of acceptable int values

## Method Details

### values

public static ValueConstraint.Type[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ValueConstraint.Type valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null